from parallels.core.actions.content.mail.copy_content import CopyMailContent
from parallels.core.content.mail.mail_migrator import CopyMailMailMigrator


class CopyMailContentFromHelm3ToPlesk(CopyMailContent):
    def _copy_mail_content_single_subscription(self, global_context, subscription, issues):
        """
        :type global_context: parallels.core.global_context.GlobalMigrationContext
        :type subscription: parallels.core.migrated_subscription.MigratedSubscription
        :type issues: list
        """
        copy_mail = CopyMailMailMigrator()
        copy_mail.copy_mail(global_context, subscription, issues)
